#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>
#include <string>
#include <map>
#include <set>

using namespace std;


int main() {


	int t;
	cin >> t;

	while (t--) {

		int n; // broj ucenika
		long long m; // broj bananica
		int k; // broj grupa

		cin >> n >> m >> k;
		
		if (k > n) {
			cout << "Nie" << endl;
		} else {
			int g = k - 1;
			m -= g;
			n -= g;

			long long p = ((long long)n * (n+1)) / 2;

			if (m >= p) {
				cout << "Tak" << endl;
			} else {
				cout << "Nie" << endl;
			}
		}


	}

	return 0;
}